Subject: bug#64055: Implementation of modifying VC change comments for Git

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Oct 2024 08:49:58 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 21 Oct 2024 13:46:39 +0800
> 
> Hello,
> 
> On Mon 21 Oct 2024 at 08:39am +03, Eli Zaretskii wrote:
> 
> > Which aspects of "rewriting history" you consider Git-specific?  I
> > think any dVCS has the same issues with that, and supports similar
> > workflows, so the concept is relevant to all of them.
> 
> Mainly the terminology.

I think both rebasing and non-FF pushes can happen with all dVCSes, so
the issue is indeed more general than only with Git.

> If others think it is fine to go ahead and call the defcustom
> vc-allow-rewriting-history, I am happy to do so.

I think we should indeed rename it, yes.